#!/usr/bin/python3
import dbus
import sys

system_bus = dbus.SystemBus()
lastore_manager = system_bus.get_object('com.deepin.lastore', '/com/deepin/lastore')

packages = lastore_manager.Get("com.deepin.lastore.Manager", "UpgradableApps")
pkgs = [x for x in packages]

if len(packages) == 0:
    print("there is no package that can be upgraded")
    sys.exit(0)

download_size = lastore_manager.PackagesDownloadSize(pkgs)

if download_size == 0:
    job_path = lastore_manager.DistUpgrade()
    print("job:", job_path)
